~homeworkprod/byceps

ref: 5c734749d23a5576cc7800b89b94a0d994816e58 byceps/setup.py -rw-r--r-- 1.5 KiB
5c734749 — Jochen Kupperschmidt Upgrade to PostgreSQL v9.6 now that it became available in Debian's `jessie-backports` repository 5 years ago
                                                                                
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
# -*- coding: utf-8 -*-

import codecs

from setuptools import setup


def read_lines_from_file(filename):
    with codecs.open(filename, encoding='utf-8') as f:
        return [line.rstrip('\n') for line in f]


requirements = read_lines_from_file('requirements.txt')
requirements_test = read_lines_from_file('requirements-test.txt')


setup(
    name='BYCEPS',
    version='0.0',
    description='the Bring-Your-Computer Event Processing System',
    author='Jochen "Y0Gi" Kupperschmidt',
    author_email='homework@nwsnet.de',
    url='http://homework.nwsnet.de/',
    license='Modified BSD',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Flask',
        'Intended Audience :: Developers',
        'Intended Audience :: Other Audience',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: German',
        'Programming Language :: JavaScript',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3 :: Only',
        'Topic :: Communications',
        'Topic :: Games/Entertainment',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content :: Message Boards',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content :: News/Diary',
    ],
    packages=['byceps'],
    install_requires=requirements,
    tests_require=requirements_test,
    test_suite='nose2.collector.collector',
)